Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::SceneNodeAnimationData Class Reference

シーンノードアニメーションデータ More...

`#include <SceneNodeAnimationData.h>`

Inheritance diagram for Lamp::SceneNodeAnimationData:

List of all members.

## Public Member Functions
virtual AnimationData * | copy () const
| コピー
virtual SceneNodeAnimationData * | copySceneNodeAnimationData () const
| シーンノードアニメーションデータのコピー
virtual void | setSequenceCount (int sequenceCount)
| シーケンス数の設定
virtual int | getSequenceCount () const
| シーケンス数の取得
virtual void | setScale (int sequence, VectorInterpolator *scale)
| スケールの設定
virtual VectorInterpolator * | getScale (int sequence) const
| スケールの取得
virtual void | setRotation (int sequence, RotationInterpolator *rotation)
| 回転の設定
virtual RotationInterpolator * | getRotation (int sequence) const
| 回転の取得
virtual void | setTranslation (int sequence, VectorInterpolator *translation)
| 移動の設定
virtual VectorInterpolator * | getTranslation (int sequence) const
| 移動の取得
virtual bool | isSceneNodeAnimationData () const
| シーンノードアニメーションデータかどうか
## Protected Member Functions
| SceneNodeAnimationData (const String &name, AnimationManager *manager)
| コンストラクタ
virtual | ~SceneNodeAnimationData ()
| デストラクタ
virtual Sequence * | getSequence (int sequence)
| シーケンスの取得
virtual const Sequence * | getSequence (int sequence) const
| シーケンスの取得
## Friends
class | AnimationManager

## Detailed Description

シーンノードアニメーションデータ

Definition at line 38 of file SceneNodeAnimationData.h.

## Constructor & Destructor Documentation

Lamp::SceneNodeAnimationData::SceneNodeAnimationData | ( | const String & | name,
|  | AnimationManager * | manager
| ) | `[inline, protected]`

  | コンストラクタ Parameters:
  name | 名前
  manager | アニメーションマネージャ
Definition at line 242 of file SceneNodeAnimationData.h. References NULL.

## Member Function Documentation

virtual AnimationData* Lamp::SceneNodeAnimationData::copy | ( |  | ) | const`[inline, virtual]`

| コピー Returns: コピーされたアニメーションデータ Implements Lamp::AnimationData. Definition at line 114 of file SceneNodeAnimationData.h. References copySceneNodeAnimationData().

virtual RotationInterpolator* Lamp::SceneNodeAnimationData::getRotation | ( | int | sequence | ) | const`[inline, virtual]`

  | 回転の取得 Parameters:
  sequence | シーケンス
Returns: 回転 Definition at line 191 of file SceneNodeAnimationData.h. References Assert, and Lamp::SceneNodeAnimationData::SceneNodeSequence::rotation_. Referenced by Lamp::SceneNodeAnimation::animate(), Lamp::AnimationCompressor::compressSceneNodeAnimation(), Lamp::TextAnimationSaver::writeSceneNodeAnimationData(), and Lamp::BinaryAnimationSaver::writeSceneNodeAnimationData().

virtual VectorInterpolator* Lamp::SceneNodeAnimationData::getScale | ( | int | sequence | ) | const`[inline, virtual]`

  | スケールの取得 Parameters:
  sequence | シーケンス
Returns: スケール Definition at line 163 of file SceneNodeAnimationData.h. References Assert, and Lamp::SceneNodeAnimationData::SceneNodeSequence::scale_. Referenced by Lamp::SceneNodeAnimation::animate(), Lamp::AnimationCompressor::compressSceneNodeAnimation(), Lamp::TextAnimationSaver::writeSceneNodeAnimationData(), and Lamp::BinaryAnimationSaver::writeSceneNodeAnimationData().

virtual const Sequence* Lamp::SceneNodeAnimationData::getSequence | ( | int | sequence | ) | const`[inline, protected, virtual]`

  | シーケンスの取得 Parameters:
  sequence | シーケンス
Returns: シーケンス Implements Lamp::AnimationData. Definition at line 270 of file SceneNodeAnimationData.h. References Assert.

virtual Sequence* Lamp::SceneNodeAnimationData::getSequence | ( | int | sequence | ) | `[inline, protected, virtual]`

  | シーケンスの取得 Parameters:
  sequence | シーケンス
Returns: シーケンス Implements Lamp::AnimationData. Definition at line 259 of file SceneNodeAnimationData.h. References Assert.

virtual int Lamp::SceneNodeAnimationData::getSequenceCount | ( |  | ) | const`[inline, virtual]`

| シーケンス数の取得 Returns: シーケンス数 Implements Lamp::AnimationData. Definition at line 139 of file SceneNodeAnimationData.h. Referenced by Lamp::AnimationCompressor::compressSceneNodeAnimation(), copySceneNodeAnimationData(), Lamp::TextAnimationSaver::writeSceneNodeAnimationData(), and Lamp::BinaryAnimationSaver::writeSceneNodeAnimationData().

virtual VectorInterpolator* Lamp::SceneNodeAnimationData::getTranslation | ( | int | sequence | ) | const`[inline, virtual]`

  | 移動の取得 Parameters:
  sequence | シーケンス
Returns: 移動 Definition at line 220 of file SceneNodeAnimationData.h. References Assert, and Lamp::SceneNodeAnimationData::SceneNodeSequence::translation_. Referenced by Lamp::SceneNodeAnimation::animate(), Lamp::AnimationCompressor::compressSceneNodeAnimation(), Lamp::TextAnimationSaver::writeSceneNodeAnimationData(), and Lamp::BinaryAnimationSaver::writeSceneNodeAnimationData().

virtual bool Lamp::SceneNodeAnimationData::isSceneNodeAnimationData | ( |  | ) | const`[inline, virtual]`

| シーンノードアニメーションデータかどうか Returns: シーンノードアニメーションデータならtrue Reimplemented from Lamp::AnimationData. Definition at line 233 of file SceneNodeAnimationData.h.

virtual void Lamp::SceneNodeAnimationData::setRotation | ( | int | sequence,
|  | RotationInterpolator * | rotation
| ) | `[inline, virtual]`

  | 回転の設定 Parameters:
  sequence | シーケンス
  rotation | 設定する回転
Definition at line 177 of file SceneNodeAnimationData.h. References Assert, Lamp::SceneNodeAnimationData::SceneNodeSequence::calcLength(), Lamp::SceneNodeAnimationData::SceneNodeSequence::rotation_, and SafeDelete. Referenced by Lamp::AnimationCompressor::compressSceneNodeAnimation(), Lamp::TextAnimationLoader::readSceneNodeAnimationData(), and Lamp::BinaryAnimationLoader::readSceneNodeAnimationData().

virtual void Lamp::SceneNodeAnimationData::setScale | ( | int | sequence,
|  | VectorInterpolator * | scale
| ) | `[inline, virtual]`

  | スケールの設定 Parameters:
  sequence | シーケンス
  scale | 設定するスケール
Definition at line 149 of file SceneNodeAnimationData.h. References Assert, Lamp::SceneNodeAnimationData::SceneNodeSequence::calcLength(), SafeDelete, and Lamp::SceneNodeAnimationData::SceneNodeSequence::scale_. Referenced by Lamp::AnimationCompressor::compressSceneNodeAnimation(), Lamp::TextAnimationLoader::readSceneNodeAnimationData(), and Lamp::BinaryAnimationLoader::readSceneNodeAnimationData().

virtual void Lamp::SceneNodeAnimationData::setSequenceCount | ( | int | sequenceCount | ) | `[inline, virtual]`

  | シーケンス数の設定 Parameters:
  sequenceCount | シーケンス数
Implements Lamp::AnimationData. Definition at line 128 of file SceneNodeAnimationData.h. References SafeArrayDelete. Referenced by copySceneNodeAnimationData(), Lamp::TextAnimationLoader::readSceneNodeAnimationData(), and Lamp::BinaryAnimationLoader::readSceneNodeAnimationData().

virtual void Lamp::SceneNodeAnimationData::setTranslation | ( | int | sequence,
|  | VectorInterpolator * | translation
| ) | `[inline, virtual]`

  | 移動の設定 Parameters:
  sequence | シーケンス
  translation | 設定する移動
Definition at line 205 of file SceneNodeAnimationData.h. References Assert, Lamp::SceneNodeAnimationData::SceneNodeSequence::calcLength(), SafeDelete, and Lamp::SceneNodeAnimationData::SceneNodeSequence::translation_. Referenced by Lamp::AnimationCompressor::compressSceneNodeAnimation(), Lamp::TextAnimationLoader::readSceneNodeAnimationData(), and Lamp::BinaryAnimationLoader::readSceneNodeAnimationData().

The documentation for this class was generated from the following files:

- SceneNodeAnimationData.h
- SceneNodeAnimationData.cpp